For AI agents: the documentation index is available at https://docs.snaptrade.com/llms.txt, and the comprehensive documentation index is available at https://docs.snaptrade.com/llms-full.txt. The complete public OpenAPI specification is available at https://docs.snaptrade.com/openapi.yaml. Complete public OpenAPI specification with all documented operations, schemas, servers, and authentication requirements. Use it for SDK generation and API tooling; beta operations are marked x-beta. Markdown versions of documentation pages are available by appending .md to the URL path.
Reference Data

Get brokerage instruments

get
https://api.snaptrade.com/brokerages/{slug}/instruments

Returns a list of all brokerage instruments available for a given brokerage. Not all brokerages support this. The ones that don't will return an empty list.

Execute an API Request

Authentication Method

Use a Commercial API Key when your app manages users and their connection experience.

Credentials
Path
slugstringrequired

A short, unique identifier for the brokerage. It is usually the name of the brokerage in capital letters and will never change.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.referenceData.listAllBrokerageInstruments(
15
{ slug: "QUESTRADE" },
16
);
17
console.log(response.data);

Response fields

object
instrumentsarray of objects
1
{
2
"instruments": [
3
{
4
"symbol": "AAPL",
5
"exchange_mic": "XNAS",
6
"tradeable": true,
7
"fractionable": true,
8
"universal_symbol_id": "2bcd7cc3-e922-4976-bce1-9858296801c3"
9
}
10
]
11
}